# profiling_summary function

(Shortest import: `from brian2 import profiling_summary)`

brian2.core.network.profiling_summary(net=None, show=None)

  Returns a `ProfilingSummary` of the profiling info for a run. This object can be transformed to a string explicitly but on an interactive console simply calling `profiling_summary()` is enough since it will automatically convert the `ProfilingSummary` object.

  Parameters:

    net : {`Network`, None} optional

    > The `Network` object to profile, or `magic_network` if not specified.

    show : int

    > The number of results to show (the longest results will be shown). If not specified, all results will be shown.